WinShopAPI docs
ReferenceItem lists

Currencies

List currencies

GET
/api/item-lists/currencies

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Response Body

application/json
  1. response
[index: integer]?
curl -X GET 'https://<your-instance>/api/item-lists/currencies' \  -H 'Authorization: Bearer <access-token>'
[  {    "cashRoundingId": 0,    "country": "string",    "currency": "str",    "exchangeRateExternal": 0,    "exchangeRateIncome": 0,    "exchangeRateSell": 0,    "id": 0,    "lastModify": "2019-08-24T14:15:22Z",    "unit": 0,    "useOnPOS": true  }]

Create a currency

POST
/api/item-lists/currencies

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Request Body

application/json
  1. body
cashRoundingId?|
Formatint32
country?|
Lengthlength <= 30
currency?|
Lengthlength <= 3
exchangeRateExternal?|
Formatdecimal
exchangeRateIncome?|
Formatdecimal
exchangeRateSell?|
Formatdecimal
id?integer
Formatint32
lastModify?|

Stamped by the server on insert and update; a client-supplied value is discarded.

Formatdate-time
unit?|
Formatdecimal
useOnPOS?boolean|null

Response Body

application/json
  1. response
cashRoundingId?|
Formatint32
country?|
Lengthlength <= 30
currency?|
Lengthlength <= 3
exchangeRateExternal?|
Formatdecimal
exchangeRateIncome?|
Formatdecimal
exchangeRateSell?|
Formatdecimal
id?integer
Formatint32
lastModify?|

Stamped by the server on insert and update; a client-supplied value is discarded.

Formatdate-time
unit?|
Formatdecimal
useOnPOS?boolean|null
curl -X POST 'https://<your-instance>/api/item-lists/currencies' \  -H 'Authorization: Bearer <access-token>' \  -H 'Content-Type: application/json' \  -d '{}'
{  "cashRoundingId": 0,  "country": "string",  "currency": "str",  "exchangeRateExternal": 0,  "exchangeRateIncome": 0,  "exchangeRateSell": 0,  "id": 0,  "lastModify": "2019-08-24T14:15:22Z",  "unit": 0,  "useOnPOS": true}

Get a currency

GET
/api/item-lists/currencies/{id}

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Path Parameters

id*integer
Formatint32

Response Body

application/json
  1. response
cashRoundingId?|
Formatint32
country?|
Lengthlength <= 30
currency?|
Lengthlength <= 3
exchangeRateExternal?|
Formatdecimal
exchangeRateIncome?|
Formatdecimal
exchangeRateSell?|
Formatdecimal
id?integer
Formatint32
lastModify?|

Stamped by the server on insert and update; a client-supplied value is discarded.

Formatdate-time
unit?|
Formatdecimal
useOnPOS?boolean|null
curl -X GET 'https://<your-instance>/api/item-lists/currencies/0' \  -H 'Authorization: Bearer <access-token>'
{  "cashRoundingId": 0,  "country": "string",  "currency": "str",  "exchangeRateExternal": 0,  "exchangeRateIncome": 0,  "exchangeRateSell": 0,  "id": 0,  "lastModify": "2019-08-24T14:15:22Z",  "unit": 0,  "useOnPOS": true}

Update a currency

PATCH
/api/item-lists/currencies/{id}

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Path Parameters

id*integer
Formatint32

Request Body

application/json
  1. body
cashRoundingId?|
Formatint32
country?|
Lengthlength <= 30
currency?|
Lengthlength <= 3
exchangeRateExternal?|
Formatdecimal
exchangeRateIncome?|
Formatdecimal
exchangeRateSell?|
Formatdecimal
id?integer
Formatint32
lastModify?|

Stamped by the server on insert and update; a client-supplied value is discarded.

Formatdate-time
unit?|
Formatdecimal
useOnPOS?boolean|null

Response Body

application/json
  1. response
cashRoundingId?|
Formatint32
country?|
Lengthlength <= 30
currency?|
Lengthlength <= 3
exchangeRateExternal?|
Formatdecimal
exchangeRateIncome?|
Formatdecimal
exchangeRateSell?|
Formatdecimal
id?integer
Formatint32
lastModify?|

Stamped by the server on insert and update; a client-supplied value is discarded.

Formatdate-time
unit?|
Formatdecimal
useOnPOS?boolean|null
curl -X PATCH 'https://<your-instance>/api/item-lists/currencies/0' \  -H 'Authorization: Bearer <access-token>' \  -H 'Content-Type: application/json' \  -d '{}'
{  "cashRoundingId": 0,  "country": "string",  "currency": "str",  "exchangeRateExternal": 0,  "exchangeRateIncome": 0,  "exchangeRateSell": 0,  "id": 0,  "lastModify": "2019-08-24T14:15:22Z",  "unit": 0,  "useOnPOS": true}

Delete a currency

DELETE
/api/item-lists/currencies/{id}

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Path Parameters

id*integer
Formatint32

Response Body

curl -X DELETE 'https://<your-instance>/api/item-lists/currencies/0' \  -H 'Authorization: Bearer <access-token>'
Empty